'use strict';

var Label = require('kenga-labels/label');
var CheckBox = require('kenga-buttons/check-box');
var Button = require('kenga-buttons/button');
var RadioButton = require('kenga-buttons/radio-button');
var ToggleButton = require('kenga-buttons/toggle-button');
var DropDownButton = require('kenga-buttons/drop-down-button');
var ModelCheckBox = require('kenga-model-buttons/model-check-box');
var ModelRadioButton = require('kenga-model-buttons/model-radio-button');
var ModelToggleButton = require('kenga-model-buttons/model-toggle-button');
var Anchors = require('kenga-containers/anchors-pane');
var HorizontalBox = require('kenga-containers/horizontal-box-pane');
var VerticalBox = require('kenga-containers/vertical-box-pane');
var CardsPane = require('kenga-containers/card-pane');
var DesktopPane = require('kenga-containers/desktop-pane');
var FlowPane = require('kenga-containers/flow-pane');
var GridPane = require('kenga-containers/grid-pane');
var HolyGrailPane = require('kenga-containers/holy-grail-pane');
var ScrollPane = require('kenga-containers/scroll-pane');
var SplitPane = require('kenga-containers/split-pane');
var TabbedPane = require('kenga-containers/tabbed-pane');
var Toolbar = require('kenga-containers/tool-bar');
var ColorField = require('kenga-fields/color-field');
var DateField = require('kenga-fields/date-field');
var DateTimeField = require('kenga-fields/date-time-field');
var DropDownField = require('kenga-fields/drop-down-field');
var EMailField = require('kenga-fields/email-field');
var FormattedField = require('kenga-fields/formatted-field');
var MeterField = require('kenga-fields/meter-field');
var NumberField = require('kenga-fields/number-field');
var PasswordField = require('kenga-fields/password-field');
var PhoneField = require('kenga-fields/phone-field');
var ProgressField = require('kenga-fields/progress-field');
var RichTextArea = require('kenga-fields/rich-text-area');
var Slider = require('kenga-fields/slider');
var TextArea = require('kenga-fields/text-area');
var TextField = require('kenga-fields/text-field');
var TimeField = require('kenga-fields/time-field');
var UrlField = require('kenga-fields/url-field');
var ModelColorField = require('kenga-model-fields/model-color-field');
var ModelDateField = require('kenga-model-fields/model-date-field');
var ModelDateTimeField = require('kenga-model-fields/model-date-time-field');
var ModelDropDownField = require('kenga-model-fields/model-drop-down-field');
var ModelEMailField = require('kenga-model-fields/model-email-field');
var ModelFormattedField = require('kenga-model-fields/model-formatted-field');
var ModelMeterField = require('kenga-model-fields/model-meter-field');
var ModelNumberField = require('kenga-model-fields/model-number-field');
var ModelPasswordField = require('kenga-model-fields/model-password-field');
var ModelPhoneField = require('kenga-model-fields/model-phone-field');
var ModelProgressField = require('kenga-model-fields/model-progress-field');
var ModelRichTextArea = require('kenga-model-fields/model-rich-text-area');
var ModelSlider = require('kenga-model-fields/model-slider');
var ModelTextArea = require('kenga-model-fields/model-text-area');
var ModelTextField = require('kenga-model-fields/model-text-field');
var ModelTimeField = require('kenga-model-fields/model-time-field');
var ModelUrlField = require('kenga-model-fields/model-url-field');
var Menu = require('kenga-menu/menu');
var MenuBar = require('kenga-menu/menu-bar');
var MenuItem = require('kenga-menu/menu-item');
var MenuSeparator = require('kenga-menu/menu-separator');
var CheckBoxMenuItem = require('kenga-menu/check-box-menu-item');
var RadioButtonMenuItem = require('kenga-menu/radio-button-menu-item');
var DataGrid = require('kenga-grid/grid');
var ColumnNode = require('kenga-grid/columns/column-node');
var CheckBoxServiceNode = require('kenga-grid/columns/nodes/check-box-service-node');
var MarkerServiceNode = require('kenga-grid/columns/nodes/marker-service-node');
var OrderNumServiceNode = require('kenga-grid/columns/nodes/order-num-service-node');
var RadioButtonServiceNode = require('kenga-grid/columns/nodes/radio-button-service-node');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Label__default = /*#__PURE__*/_interopDefaultLegacy(Label);
var CheckBox__default = /*#__PURE__*/_interopDefaultLegacy(CheckBox);
var Button__default = /*#__PURE__*/_interopDefaultLegacy(Button);
var RadioButton__default = /*#__PURE__*/_interopDefaultLegacy(RadioButton);
var ToggleButton__default = /*#__PURE__*/_interopDefaultLegacy(ToggleButton);
var DropDownButton__default = /*#__PURE__*/_interopDefaultLegacy(DropDownButton);
var ModelCheckBox__default = /*#__PURE__*/_interopDefaultLegacy(ModelCheckBox);
var ModelRadioButton__default = /*#__PURE__*/_interopDefaultLegacy(ModelRadioButton);
var ModelToggleButton__default = /*#__PURE__*/_interopDefaultLegacy(ModelToggleButton);
var Anchors__default = /*#__PURE__*/_interopDefaultLegacy(Anchors);
var HorizontalBox__default = /*#__PURE__*/_interopDefaultLegacy(HorizontalBox);
var VerticalBox__default = /*#__PURE__*/_interopDefaultLegacy(VerticalBox);
var CardsPane__default = /*#__PURE__*/_interopDefaultLegacy(CardsPane);
var DesktopPane__default = /*#__PURE__*/_interopDefaultLegacy(DesktopPane);
var FlowPane__default = /*#__PURE__*/_interopDefaultLegacy(FlowPane);
var GridPane__default = /*#__PURE__*/_interopDefaultLegacy(GridPane);
var HolyGrailPane__default = /*#__PURE__*/_interopDefaultLegacy(HolyGrailPane);
var ScrollPane__default = /*#__PURE__*/_interopDefaultLegacy(ScrollPane);
var SplitPane__default = /*#__PURE__*/_interopDefaultLegacy(SplitPane);
var TabbedPane__default = /*#__PURE__*/_interopDefaultLegacy(TabbedPane);
var Toolbar__default = /*#__PURE__*/_interopDefaultLegacy(Toolbar);
var ColorField__default = /*#__PURE__*/_interopDefaultLegacy(ColorField);
var DateField__default = /*#__PURE__*/_interopDefaultLegacy(DateField);
var DateTimeField__default = /*#__PURE__*/_interopDefaultLegacy(DateTimeField);
var DropDownField__default = /*#__PURE__*/_interopDefaultLegacy(DropDownField);
var EMailField__default = /*#__PURE__*/_interopDefaultLegacy(EMailField);
var FormattedField__default = /*#__PURE__*/_interopDefaultLegacy(FormattedField);
var MeterField__default = /*#__PURE__*/_interopDefaultLegacy(MeterField);
var NumberField__default = /*#__PURE__*/_interopDefaultLegacy(NumberField);
var PasswordField__default = /*#__PURE__*/_interopDefaultLegacy(PasswordField);
var PhoneField__default = /*#__PURE__*/_interopDefaultLegacy(PhoneField);
var ProgressField__default = /*#__PURE__*/_interopDefaultLegacy(ProgressField);
var RichTextArea__default = /*#__PURE__*/_interopDefaultLegacy(RichTextArea);
var Slider__default = /*#__PURE__*/_interopDefaultLegacy(Slider);
var TextArea__default = /*#__PURE__*/_interopDefaultLegacy(TextArea);
var TextField__default = /*#__PURE__*/_interopDefaultLegacy(TextField);
var TimeField__default = /*#__PURE__*/_interopDefaultLegacy(TimeField);
var UrlField__default = /*#__PURE__*/_interopDefaultLegacy(UrlField);
var ModelColorField__default = /*#__PURE__*/_interopDefaultLegacy(ModelColorField);
var ModelDateField__default = /*#__PURE__*/_interopDefaultLegacy(ModelDateField);
var ModelDateTimeField__default = /*#__PURE__*/_interopDefaultLegacy(ModelDateTimeField);
var ModelDropDownField__default = /*#__PURE__*/_interopDefaultLegacy(ModelDropDownField);
var ModelEMailField__default = /*#__PURE__*/_interopDefaultLegacy(ModelEMailField);
var ModelFormattedField__default = /*#__PURE__*/_interopDefaultLegacy(ModelFormattedField);
var ModelMeterField__default = /*#__PURE__*/_interopDefaultLegacy(ModelMeterField);
var ModelNumberField__default = /*#__PURE__*/_interopDefaultLegacy(ModelNumberField);
var ModelPasswordField__default = /*#__PURE__*/_interopDefaultLegacy(ModelPasswordField);
var ModelPhoneField__default = /*#__PURE__*/_interopDefaultLegacy(ModelPhoneField);
var ModelProgressField__default = /*#__PURE__*/_interopDefaultLegacy(ModelProgressField);
var ModelRichTextArea__default = /*#__PURE__*/_interopDefaultLegacy(ModelRichTextArea);
var ModelSlider__default = /*#__PURE__*/_interopDefaultLegacy(ModelSlider);
var ModelTextArea__default = /*#__PURE__*/_interopDefaultLegacy(ModelTextArea);
var ModelTextField__default = /*#__PURE__*/_interopDefaultLegacy(ModelTextField);
var ModelTimeField__default = /*#__PURE__*/_interopDefaultLegacy(ModelTimeField);
var ModelUrlField__default = /*#__PURE__*/_interopDefaultLegacy(ModelUrlField);
var Menu__default = /*#__PURE__*/_interopDefaultLegacy(Menu);
var MenuBar__default = /*#__PURE__*/_interopDefaultLegacy(MenuBar);
var MenuItem__default = /*#__PURE__*/_interopDefaultLegacy(MenuItem);
var MenuSeparator__default = /*#__PURE__*/_interopDefaultLegacy(MenuSeparator);
var CheckBoxMenuItem__default = /*#__PURE__*/_interopDefaultLegacy(CheckBoxMenuItem);
var RadioButtonMenuItem__default = /*#__PURE__*/_interopDefaultLegacy(RadioButtonMenuItem);
var DataGrid__default = /*#__PURE__*/_interopDefaultLegacy(DataGrid);
var ColumnNode__default = /*#__PURE__*/_interopDefaultLegacy(ColumnNode);
var CheckBoxServiceNode__default = /*#__PURE__*/_interopDefaultLegacy(CheckBoxServiceNode);
var MarkerServiceNode__default = /*#__PURE__*/_interopDefaultLegacy(MarkerServiceNode);
var OrderNumServiceNode__default = /*#__PURE__*/_interopDefaultLegacy(OrderNumServiceNode);
var RadioButtonServiceNode__default = /*#__PURE__*/_interopDefaultLegacy(RadioButtonServiceNode);

var kenga = [{
  widget: Label__default["default"],
  from: 'kenga-labels/label',
  name: 'Image label',
  description: 'Image with text paragraph',
  iconStyle: 'winnie-icon-picture',
  category: 'Labels',
  selects: {
    horizontalTextPosition: ['left', 'center', 'right'],
    verticalTextPosition: ['top', 'center', 'bottom']
  }
}, {
  widget: Button__default["default"],
  from: 'kenga-buttons/button',
  name: 'Push button',
  description: 'Push button',
  iconStyle: 'winnie-icon-flash',
  category: 'Buttons',
  selects: {
    horizontalTextPosition: ['left', 'center', 'right'],
    verticalTextPosition: ['top', 'center', 'bottom']
  }
}, {
  widget: DropDownButton__default["default"],
  from: 'kenga-buttons/drop-down-button',
  name: 'Drop down button',
  description: 'Button with drop down menu',
  iconStyle: 'winnie-icon-down-open',
  category: 'Buttons',
  selects: {
    horizontalTextPosition: ['left', 'center', 'right'],
    verticalTextPosition: ['top', 'center', 'bottom']
  }
}, {
  widget: CheckBox__default["default"],
  from: 'kenga-buttons/check-box',
  name: 'Check box',
  description: 'Check box with button group capability',
  iconStyle: 'winnie-icon-check',
  category: 'Buttons',
  hidden: ['value']
}, {
  widget: RadioButton__default["default"],
  from: 'kenga-buttons/radio-button',
  name: 'Radio button',
  description: 'Radio button with button group capability',
  iconStyle: 'winnie-icon-dot-circled',
  category: 'Buttons',
  hidden: ['value']
}, {
  widget: ToggleButton__default["default"],
  from: 'kenga-buttons/toggle-button',
  name: 'Toggle button',
  description: 'Toggle button with button group capability',
  iconStyle: 'winnie-icon-toggle-on',
  category: 'Buttons',
  hidden: ['value'],
  selects: {
    horizontalTextPosition: ['left', 'center', 'right'],
    verticalTextPosition: ['top', 'center', 'bottom']
  }
}, //
{
  widget: ModelCheckBox__default["default"],
  from: 'kenga-model-buttons/model-check-box',
  name: 'Model check box',
  description: 'Model check box with data bindnig and button group capability',
  iconStyle: 'winnie-icon-check',
  category: 'Model buttons',
  hidden: ['value', 'selected']
}, {
  widget: ModelRadioButton__default["default"],
  from: 'kenga-model-buttons/model-radio-button',
  name: 'Model radio button',
  description: 'Radio button with data bindnig and button group capability',
  iconStyle: 'winnie-icon-dot-circled',
  category: 'Model buttons',
  hidden: ['value', 'selected']
}, {
  widget: ModelToggleButton__default["default"],
  from: 'kenga-model-buttons/model-toggle-button',
  name: 'Model toggle button',
  description: 'Model toggle button with data bindnig and button group capability',
  iconStyle: 'winnie-icon-toggle-on',
  category: 'Model buttons',
  hidden: ['value', 'selected'],
  selects: {
    horizontalTextPosition: ['left', 'center', 'right'],
    verticalTextPosition: ['top', 'center', 'bottom']
  }
}, //
{
  widget: Anchors__default["default"],
  from: 'kenga-containers/anchors-pane',
  category: 'Containers',
  name: 'Anchors',
  description: 'Container with children positioned according to anchors definitions'
}, {
  widget: CardsPane__default["default"],
  from: 'kenga-containers/card-pane',
  category: 'Stacks',
  name: 'Cards',
  description: 'Container of children arranged as a stack of cards',
  iconStyle: 'winnie-icon-buffer',
  hidden: ['selected', 'selectedIndex']
}, {
  widget: TabbedPane__default["default"],
  from: 'kenga-containers/tabbed-pane',
  category: 'Stacks',
  name: 'Tabs',
  description: 'Container with every child labeled on the top',
  iconStyle: 'winnie-icon-buffer',
  hidden: ['selected', 'selectedIndex']
}, {
  widget: FlowPane__default["default"],
  from: 'kenga-containers/flow-pane',
  name: 'Flow',
  description: 'Container with children in multiple rows and rows wraps',
  category: 'Containers'
}, {
  widget: GridPane__default["default"],
  from: 'kenga-containers/grid-pane',
  category: 'Containers',
  name: 'Cells',
  iconStyle: 'winnie-icon-th-thumb-empty',
  description: 'Containers with prefefined grid of children cells with equal spacing'
}, {
  widget: HolyGrailPane__default["default"],
  from: 'kenga-containers/holy-grail-pane',
  category: 'Containers',
  name: 'Holy grail',
  description: 'Container with five children used as header, content, footer, left and right sides',
  hidden: ['leftSide', 'rightSide', 'header', 'footer', 'content']
}, {
  widget: ScrollPane__default["default"],
  from: 'kenga-containers/scroll-pane',
  category: 'Containers',
  name: 'Scroll',
  description: 'Container of a single child and scroll bars',
  hidden: ['view']
}, {
  widget: SplitPane__default["default"],
  from: 'kenga-containers/split-pane',
  category: 'Containers',
  name: 'Split',
  description: 'Container with two widgets and splitter.',
  iconStyle: 'winnie-icon-columns',
  selects: {
    orientation: ['horizontal', 'vertical']
  },
  hidden: ['first', 'second', 'expander', 'collapser', 'expanded', 'collapsed']
}, {
  widget: DesktopPane__default["default"],
  from: 'kenga-containers/desktop-pane',
  category: 'Containers',
  name: 'Desktop',
  description: 'Container of internal windows. Multi document UI host.',
  iconStyle: 'winnie-icon-window-restore',
  hidden: ['forms', 'shownForms']
}, {
  widget: HorizontalBox__default["default"],
  from: 'kenga-containers/horizontal-box-pane',
  category: 'Boxes',
  name: 'HBox',
  description: 'Container with children arranged as a row',
  selects: {
    align: ['top', 'center', 'bottom', 'fit']
  }
}, {
  widget: VerticalBox__default["default"],
  from: 'kenga-containers/vertical-box-pane',
  category: 'Boxes',
  name: 'VBox',
  description: 'Container with children arranged as a column',
  selects: {
    align: ['left', 'center', 'right', 'fit']
  }
}, {
  widget: Toolbar__default["default"],
  from: 'kenga-containers/tool-bar',
  category: 'Boxes',
  name: 'Toolbar',
  description: 'Horizontal box container with left and right chevrons'
}, //
{
  widget: ColorField__default["default"],
  from: 'kenga-fields/color-field',
  category: 'Fields',
  name: 'Color field',
  iconStyle: 'winnie-icon-art-gallery',
  description: 'Color field'
}, {
  widget: DateField__default["default"],
  from: 'kenga-fields/date-field',
  category: 'Fields',
  name: 'Date field',
  iconStyle: 'winnie-icon-calendar',
  description: 'Date field'
}, {
  widget: DateTimeField__default["default"],
  from: 'kenga-fields/date-time-field',
  category: 'Fields',
  name: 'Date time field',
  iconStyle: 'winnie-icon-calendar',
  description: 'Date time field'
}, {
  widget: DropDownField__default["default"],
  from: 'kenga-fields/drop-down-field',
  category: 'Fields',
  name: 'Drop down field',
  iconStyle: 'winnie-icon-arrow-combo',
  description: 'Drop down field',
  hidden: ['text']
}, {
  widget: EMailField__default["default"],
  from: 'kenga-fields/email-field',
  category: 'Fields',
  name: 'E-mail field',
  iconStyle: 'winnie-icon-mail',
  description: 'E-mail field'
}, {
  widget: FormattedField__default["default"],
  from: 'kenga-fields/formatted-field',
  category: 'Fields',
  name: 'Formatted field',
  iconStyle: 'winnie-icon-sort-numeric-outline',
  description: 'Formatted field'
}, {
  widget: MeterField__default["default"],
  from: 'kenga-fields/meter-field',
  category: 'Fields',
  name: 'Meter field',
  description: 'Meter field'
}, {
  widget: NumberField__default["default"],
  from: 'kenga-fields/number-field',
  category: 'Fields',
  name: 'Number field',
  iconStyle: 'winnie-icon-calc',
  description: 'Number field'
}, {
  widget: PasswordField__default["default"],
  from: 'kenga-fields/password-field',
  category: 'Fields',
  name: 'Password field',
  iconStyle: 'winnie-icon-key-1',
  description: 'Password field'
}, {
  widget: PhoneField__default["default"],
  from: 'kenga-fields/phone-field',
  category: 'Fields',
  name: 'Phone field',
  iconStyle: 'winnie-icon-phone',
  description: 'Phone field'
}, {
  widget: ProgressField__default["default"],
  from: 'kenga-fields/progress-field',
  category: 'Fields',
  name: 'Progress field',
  iconStyle: 'winnie-icon-progress-2',
  description: 'Progress field'
}, {
  widget: RichTextArea__default["default"],
  from: 'kenga-fields/rich-text-area',
  category: 'Fields',
  name: 'Rich text area',
  iconStyle: 'winnie-icon-edit',
  description: 'Multi line rich text area'
}, {
  widget: Slider__default["default"],
  from: 'kenga-fields/slider',
  category: 'Fields',
  name: 'Slider',
  iconStyle: 'winnie-icon-sliders',
  description: 'Slider',
  hidden: ['text']
}, {
  widget: TextArea__default["default"],
  from: 'kenga-fields/text-area',
  category: 'Fields',
  name: 'Text area',
  iconStyle: 'winnie-icon-edit',
  description: 'Multiline text area'
}, {
  widget: TextField__default["default"],
  from: 'kenga-fields/text-field',
  category: 'Fields',
  name: 'Text field',
  iconStyle: 'winnie-icon-progress-0',
  description: 'Single line text field'
}, {
  widget: TimeField__default["default"],
  from: 'kenga-fields/time-field',
  category: 'Fields',
  name: 'Time field',
  iconStyle: 'winnie-icon-clock-1',
  description: 'Time field'
}, {
  widget: UrlField__default["default"],
  from: 'kenga-fields/url-field',
  category: 'Fields',
  name: 'Url field',
  iconStyle: 'winnie-icon-link',
  description: 'Url field'
}, //
{
  widget: ModelColorField__default["default"],
  from: 'kenga-model-fields/model-color-field',
  category: 'Model fields',
  name: 'Model color',
  iconStyle: 'winnie-icon-art-gallery',
  description: 'Color field with data binding'
}, {
  widget: ModelDateField__default["default"],
  from: 'kenga-model-fields/model-date-field',
  category: 'Model fields',
  name: 'Model date',
  iconStyle: 'winnie-icon-calendar',
  description: 'Date field with data binding'
}, {
  widget: ModelDateTimeField__default["default"],
  from: 'kenga-model-fields/model-date-time-field',
  category: 'Model fields',
  name: 'Model date-time',
  iconStyle: 'winnie-icon-calendar',
  description: 'Date time field with data binding'
}, {
  widget: ModelDropDownField__default["default"],
  from: 'kenga-model-fields/model-drop-down-field',
  category: 'Model fields',
  name: 'Model drop down',
  iconStyle: 'winnie-icon-arrow-combo',
  description: 'Drop down field with data binding of value and of datalist as well',
  hidden: ['text']
}, {
  widget: ModelEMailField__default["default"],
  from: 'kenga-model-fields/model-email-field',
  category: 'Model fields',
  name: 'Model E-Mail',
  iconStyle: 'winnie-icon-mail',
  description: 'EMail field with data binding'
}, {
  widget: ModelFormattedField__default["default"],
  from: 'kenga-model-fields/model-formatted-field',
  category: 'Model fields',
  name: 'Model formatted',
  iconStyle: 'winnie-icon-sort-numeric-outline',
  description: 'Formatted field with data binding'
}, {
  widget: ModelMeterField__default["default"],
  from: 'kenga-model-fields/model-meter-field',
  category: 'Model fields',
  name: 'Model meter',
  description: 'Meter field with data binding'
}, {
  widget: ModelNumberField__default["default"],
  from: 'kenga-model-fields/model-number-field',
  category: 'Model fields',
  name: 'Model number',
  iconStyle: 'winnie-icon-calc',
  description: 'Number field with data binding'
}, {
  widget: ModelPasswordField__default["default"],
  from: 'kenga-model-fields/model-password-field',
  category: 'Model fields',
  name: 'Model password',
  iconStyle: 'winnie-icon-key-1',
  description: 'Password field with data binding'
}, {
  widget: ModelPhoneField__default["default"],
  from: 'kenga-model-fields/model-phone-field',
  category: 'Model fields',
  name: 'Model phone',
  iconStyle: 'winnie-icon-phone',
  description: 'Phone field with data binding'
}, {
  widget: ModelProgressField__default["default"],
  from: 'kenga-model-fields/model-progress-field',
  category: 'Model fields',
  name: 'Model progress',
  iconStyle: 'winnie-icon-progress-2',
  description: 'Progress field with data binding'
}, {
  widget: ModelRichTextArea__default["default"],
  from: 'kenga-model-fields/model-rich-text-area',
  category: 'Model fields',
  name: 'Model rich text',
  iconStyle: 'winnie-icon-edit',
  description: 'Rich text area with data binding'
}, {
  widget: ModelSlider__default["default"],
  from: 'kenga-model-fields/model-slider',
  category: 'Model fields',
  name: 'Model slider',
  iconStyle: 'winnie-icon-sliders',
  description: 'Slider with data binding',
  hidden: ['text']
}, {
  widget: ModelTextArea__default["default"],
  from: 'kenga-model-fields/model-text-area',
  category: 'Model fields',
  name: 'Model text area',
  iconStyle: 'winnie-icon-edit',
  description: 'Text area with data binding'
}, {
  widget: ModelTextField__default["default"],
  from: 'kenga-model-fields/model-text-field',
  category: 'Model fields',
  name: 'Model text',
  iconStyle: 'winnie-icon-progress-0',
  description: 'Text field with data binding'
}, {
  widget: ModelTimeField__default["default"],
  from: 'kenga-model-fields/model-time-field',
  category: 'Model fields',
  name: 'Model time',
  iconStyle: 'winnie-icon-clock-1',
  description: 'Time field with data binding'
}, {
  widget: ModelUrlField__default["default"],
  from: 'kenga-model-fields/model-url-field',
  category: 'Model fields',
  name: 'Model URL',
  iconStyle: 'winnie-icon-link',
  description: 'URL field field with data binding'
}, {
  widget: Menu__default["default"],
  from: 'kenga-menu/menu',
  category: 'Menu',
  name: 'Menu',
  iconStyle: 'winnie-icon-menu-outline',
  description: 'Menu items container'
}, {
  widget: MenuBar__default["default"],
  from: 'kenga-menu/menu-bar',
  category: 'Menu',
  name: 'Menu bar',
  description: 'Horizontal menu items container'
}, {
  widget: MenuItem__default["default"],
  from: 'kenga-menu/menu-item',
  category: 'Menu',
  name: 'Menu item',
  description: 'Menu item with text and optional icon'
}, {
  widget: MenuSeparator__default["default"],
  from: 'kenga-menu/menu-separator',
  category: 'Menu',
  name: 'Separator',
  description: 'Separator of menu items'
}, {
  widget: CheckBoxMenuItem__default["default"],
  from: 'kenga-menu/check-box-menu-item',
  category: 'Menu',
  name: 'Check item',
  iconStyle: 'winnie-icon-check',
  description: 'Menu item with check box instead of icon'
}, {
  widget: RadioButtonMenuItem__default["default"],
  from: 'kenga-menu/radio-button-menu-item',
  category: 'Menu',
  name: 'Radio item',
  iconStyle: 'winnie-icon-dot-circled',
  description: 'Menu item with radio button instead of icon'
}, //
{
  widget: DataGrid__default["default"],
  from: 'kenga-grid/grid',
  category: 'Model grid & columns',
  name: 'Grid',
  description: 'Data grid with binding, multi level header, tree-grid capability, sorting, rows DnD, etc.',
  iconStyle: 'winnie-icon-table',
  hidden: ['headerLeft', 'headerRight', 'frozenLeft', 'frozenRight', 'bodyLeft', 'bodyRight', 'footerLeft', 'footerRight', 'onRender', 'selected', 'selectedCount', 'dynamicCellClassName', 'activeEditor', 'rows', 'columns', 'viewRows', 'header', 'treeIndicatorColumn', 'columnNodesCount', 'columnsCount', 'focusedRow', 'focusedColumn', 'hasSelected', 'selectionLead', 'focusedCell', 'columnsChevron']
}, {
  widget: ColumnNode__default["default"],
  from: 'kenga-grid/columns/column-node',
  category: 'Model grid & columns',
  name: 'Data column',
  description: 'Column node of data grid header',
  hidden: ['left', 'top']
}, {
  widget: CheckBoxServiceNode__default["default"],
  from: 'kenga-grid/columns/nodes/check-box-service-node',
  category: 'Model grid & columns',
  name: 'Check column',
  iconStyle: 'winnie-icon-check',
  description: 'Column node of data grid header with check box. Governs selection of rows',
  hidden: ['checker', 'left', 'top']
}, {
  widget: MarkerServiceNode__default["default"],
  from: 'kenga-grid/columns/nodes/marker-service-node',
  category: 'Model grid & columns',
  name: 'Marker column',
  description: 'Service column node of data grid header. Presents current state of a row',
  hidden: ['left', 'top']
}, {
  widget: OrderNumServiceNode__default["default"],
  from: 'kenga-grid/columns/nodes/order-num-service-node',
  category: 'Model grid & columns',
  name: 'Ordinal column',
  iconStyle: 'winnie-icon-sort-numeric-outline',
  description: "Service column node of data grid header. Presents row's ordinal number",
  hidden: ['left', 'top']
}, {
  widget: RadioButtonServiceNode__default["default"],
  from: 'kenga-grid/columns/nodes/radio-button-service-node',
  category: 'Model grid & columns',
  name: 'Radio column',
  iconStyle: 'winnie-icon-dot-circled',
  description: 'Column node of data grid header with radio button. Governs selection of rows',
  hidden: ['left', 'top']
}];

module.exports = kenga;
