'use strict';

var serials = require('./serials.js');

function forest(forest) {
  function toPlain(sheet) {
    var props = {};
    sheet.filter(function (p) {
      return p.edited;
    }).forEach(function (p) {
      props[p.name] = p.value && p.value.src ? serials.relativize(p.value.src) : p.value;
    });
    return props;
  }

  function itemsToObj(items) {
    var itemsObj = {};
    items.forEach(function (item) {
      itemsObj[item.name] = {
        from: item.source.from,
        body: toPlain(item.sheet),
        children: itemsToObj(item.children)
      };
    });
    return itemsObj;
  }

  return JSON.stringify(itemsToObj(forest), null, 4);
}

module.exports = forest;
